.spz-carousel-slide>.i-spzhtml-replaced-content {
    -o-object-fit: contain;
    object-fit: contain
}

.spz-carousel-button {
    position: absolute;
    box-sizing: border-box;
    top: 50%;
    border-radius: 2px;
    opacity: 1;
    pointer-events: all;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    transform: translateY(-50%);
    /* visibility: hidden; */
    z-index: 10;
	cursor: pointer;
}

.spz-mode-mouse .spz-carousel-button,spz-carousel.i-spzhtml-carousel-has-controls>.spz-carousel-button,spz-carousel[controls]>.spz-carousel-button {
    opacity: 1;
    visibility: visible
}

.spz-carousel-button-prev {
    left: 16px
}

.spz-carousel-button-next {
    right: 16px
}

.i-spzhtml-carousel-button-start-hint .spz-carousel-button:not(.spz-disabled) {
    animation: i-spzhtml-carousel-hint 1s ease-in 3s 1 normal both
}

@keyframes i-spzhtml-carousel-hint {
    0% {
        opacity: 1;
        visibility: visible
    }

    to {
        opacity: 0;
        visibility: hidden
    }
}

spz-carousel[i-spzhtml-carousel-hide-buttons] .spz-carousel-button-next,spz-carousel[i-spzhtml-carousel-hide-buttons] .spz-carousel-button-prev {
    opacity: 0;
    pointer-events: none;
    visibility: visible!important
}

spz-carousel[visible-count] .i-spzhtml-slides-container {
    overflow-x: hidden!important
}

.i-spzhtml-slides-container {
    display: -ms-flexbox!important;
    display: flex!important;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    overflow-x: auto!important;
    overflow-y: hidden!important;
    width: 100%!important;
    scrollbar-width: none;
    box-sizing: content-box!important;
    -webkit-overflow-scrolling: touch!important
}

spz-carousel:not([layout=container]) .i-spzhtml-slides-container {
    height: 100%!important;
    position: absolute!important;
    top: 0;
    left: 0
}

[slidezoom][zoom-in] .i-spzhtml-slides-container {
    height: 100%!important
}

.i-spzhtml-slides-container::-webkit-scrollbar {
    display: none!important
}

.i-spzhtml-slides-container.i-spzhtml-no-scroll {
    overflow-x: hidden!important
}

.i-spzhtml-slide-item {
    -ms-flex-align: center!important;
    align-items: center!important;
    display: none!important;
    -ms-flex: 0 0 100%!important;
    flex: 0 0 100%!important;
    height: 100%!important;
    -ms-flex-pack: center!important;
    justify-content: center!important;
    position: relative!important;
    scroll-snap-align: start!important;
    width: 100%;
    opacity: 0
}

spz-carousel[data-type=grid] .i-spzhtml-slide-item {
    width: 100%!important
}

.i-spzhtml-slide-item>* {
    width: 100%;
    overflow: hidden!important
}

.i-spzhtml-slide-item img,video {
    -webkit-user-drag: none
}

.i-spzhtml-slide-item-show {
    display: -ms-flexbox!important;
    display: flex!important
}

[slidezoom][zoom-in] {
    position: fixed!important;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: #000;
    z-index: 1030;
    height: calc(var(--window-inner-height))!important;
    width: 100vw!important
}

div[slide] .i-spzhtml-layout-size-defined .i-spzhtml-fill-content {
    z-index: 1031
}

[slidezoom] .close {
    position: absolute;
    top: 24px;
    right: 14px;
    width: 36px;
    height: 36px;
    z-index: 1032
}
